Devuan bug report logs - #301
slim logins don't get registered in utmp

Package: slim; Reported by: Ralph Ronnquist <ralph.ronnquist@gmail.com>;
Date: Thu, 7 Mar 2019 10:03:01 UTC;
Done: Mark Hindley <mark@hindley.org.uk>;
Maintainer for slim is (unknown).

View this report as an mbox folder.


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. Full text available.



Message sent:

From: owner@bugs.devuan.org (Devuan bug Tracking System)
To: Mark Hindley <mark@hindley.org.uk>
Subject: bug#301: marked as done (slim logins don't get registered in utmp)

Your message dated Thu, 20 Jun 2019 11:15:06 +0100
with message-id <20190620101506.GF27755@hindley.org.uk>
and subject line Fixed with slim-1.3.6-5.1+devuan3
has caused the attached bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Devuan Bugs Owner
(administrator, Devuan bugs database)

--------------------------------------
Received: (at submit) by bugs.devuan.org; 7 Mar 2019 10:00:02 +0000
Return-Path: <ralph.ronnquist@gmail.com>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Thu, 07 Mar 2019 11:00:02 +0100 (CET)
Received: from mail-pf1-f179.google.com (mail-pf1-f179.google.com [209.85.210.179])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 397F9F60C80
	for <submit@bugs.devuan.org>; Thu,  7 Mar 2019 10:55:51 +0100 (CET)
Authentication-Results: vm6.ganeti.dyne.org;
	dkim=pass (2048-bit key; unprotected) header.d=gmail.com header.i=@gmail.com header.b="ghK5cNDQ";
	dkim-atps=neutral
Received: by mail-pf1-f179.google.com with SMTP id n74so11031061pfi.9
        for <submit@bugs.devuan.org>; Thu, 07 Mar 2019 01:55:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20161025;
        h=to:from:subject:openpgp:autocrypt:message-id:date:user-agent
         :mime-version:content-language:content-transfer-encoding;
        bh=sEmYwxQhWH7eh8VFGWVqHXeJgUPchOUWFYV6qNgspgY=;
        b=ghK5cNDQpZOzXuCsxcl+6SnCljhtl3TFw7dSZCr373Aiss0//cl6J+vFZ1ZgCJketm
         BiOJz87aiweycuxCeu1Hz0p+5UEjEuc0ARnYF4XiEnQQjcEmWtfPKRFqqDvUQ6+PVXlI
         EWujwQnE8WwCiXYSFidZduYvM/baASd+b47pk8oF/baxhPchVMXHHz23P/k+pel706O7
         jtmDhLJSbrT7ejlZoYMdhRW+2sdp8ItSb54fagvSOL8Xixa5n6a9zSKtZfFCbZa4vDTa
         EGQOG13aan3wuSAb53p81FQoqvR4bGo8XQI8Jzce5yaoehLbGqyg91EIpOa7bpqv1wIT
         lCXA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20161025;
        h=x-gm-message-state:to:from:subject:openpgp:autocrypt:message-id
         :date:user-agent:mime-version:content-language
         :content-transfer-encoding;
        bh=sEmYwxQhWH7eh8VFGWVqHXeJgUPchOUWFYV6qNgspgY=;
        b=Mfda/+6wbrqnfihLsca/qLpZjTm0Kyx2edrS1csWT5bsljPwjGeV90PkB01NNZIF9M
         vC5OW75V9+y7RqSF3NTVAkeMeFv0lfImOLehvRjx7vq/g/rnL5sRySv/8HLzhICR2iL8
         NGG4W8ierIjzHjEntlMzQBPIrl6wayAhFpwnTpIYyec13ejuo2nLEVlormYgVrqK4VJX
         MinZ6er4rkHPZhBDrBacMAbkCyqcxOyHQaBMChI7Pxo6RASzycF+GLWblx1TJUAuPkJf
         QP4n5AdqxkGgLI23ff5z4uv9VKojBGS3tnWjZ2C5+N2LycJE9cQBGN7G/ObxrtFOcNDx
         gahw==
X-Gm-Message-State: APjAAAVntiEowLtz7AHqtEvLlbtumaJ/2jzOpwLCzBaa3OyrMLCBkIYr
	mVllywLCydLYUBLV3Ees5w9usD9M
X-Google-Smtp-Source: APXvYqyoQR4Do6Ymetun9OjoOINjRK6FNSGqNPr0/yEtIZgJmL5eQNqCz3MXTpWZq66+U1MI1rZktA==
X-Received: by 2002:a63:1625:: with SMTP id w37mr10551556pgl.13.1551952547968;
        Thu, 07 Mar 2019 01:55:47 -0800 (PST)
Received: from [192.168.0.100] ([1.136.211.76])
        by smtp.gmail.com with ESMTPSA id p78sm6879597pfa.84.2019.03.07.01.55.45
        for <submit@bugs.devuan.org>
        (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
        Thu, 07 Mar 2019 01:55:47 -0800 (PST)
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
From: Ralph Ronnquist <ralph.ronnquist@gmail.com>
Subject: slim logins don't get registered in utmp
Openpgp: preference=signencrypt
Autocrypt: addr=ralph.ronnquist@realthing.com.au; prefer-encrypt=mutual;
 keydata=
 mQINBFuVr4EBEACttq1H7vXAm0FN8yeoD5lQ3ZoyhL1zVw568VRuVvu0RDXDtpWR2t4gwaxC
 nOjc+20O2V82BCp1ZC2yMJ4NfI5aD3luul4l6nYSKD8r8OfXHV1j82QzP2hIcyYvM5LM7Joa
 jboBYoNDwJDhww2EvmCT9uZ8NtAnNsmuiGNnAmv6tquMEOUX1/QYvRnnUhpAka6gYLpEYaI1
 CKvrX44Iv7x79Komy62WvzDuXCJqpSmi+1FrDkrKUZD6amwnVnK+f3LIj8N5sHb6qyl13zp6
 iWx024VT0fq8kyXwdBvsvsW2ug+u3p1RG2beFtZ+Lv3sIGrO8OYGbOdqMvPu5qlY2bDqU7CC
 4zdne1dNQta/+UOUlacoh+AA8Aq2rtwOLD0v7fJTFtWmVaC6wr5jSicBrtR1/TPuPTO+vyVC
 r59QhVUrvYXY8FaSw+4xoSuj6XlCcpXhOXR9fEi+qR5G5hdQPWxykkyrUZsxGZv8mSHNlq3S
 2Iy5ginaZOufVg8/Xva1Po1Di7USIwBFF/E62x0iKgVp0fDtnu77N+SIJ9Pe7dU9rIM0YXhX
 NjUJiPwr3VgBiYHolGMZnwGRe+uSGtao1+8DQEJ1QutCZcXg4NDFb5sx8z2NBW2LwI4cyXZ0
 C/JURMqUhHC9F363PcveIR3pHyPdd39fyHsfFeFvOWQDD/I3mQARAQABtDJSYWxwaCBSb25u
 cXVpc3QgPHJhbHBoLnJvbm5xdWlzdEByZWFsdGhpbmcuY29tLmF1PokCNQQQAQgAKQUCW5Wv
 gQYLCQcIAwIJEHaIru+6mNzDBBUICgIDFgIBAhkBAhsDAh4BAADkiQ//UGU7k2wqDfdsKJdR
 JPKqU6S3nnQ0UuQ34B1SGZUjw+7+oLTVo/QNMJV2VzlWlUPl3WKlcIFopQMPuZum9jk/o7Q8
 UUD+m5Cz/F3iPIQ541IMl2//vQWf8oUHhCI1r07NqaySTp78yG2Ur3//gLt2YMMdgVZE65ol
 M/R/ejUVLkg+Z3wHxb2olxQ9MXLcpGD9oJBVhVAyEA2/YYh5cKXgHw2Me/m1D1YNmtr3Md4m
 v5Xrq3Su2p3ZmY7o1lbo3hgXlabRyq4lskP2L5xIk6ysqf/VRxs2jMyGYaGp8j/0oSXVu8U1
 DWtxTRPHZSEK3xWRaAIXDjCkc9eBWWiuOHpYp+Ol8Q5ENaDimOUEE82noo3R9AWY4hXp+VQF
 IM1Zyk8rK3mCkZLEeC5bGZ88VkXlY/vNgTST61cf7BcN1HJQn3euoJFjyI5H8DHAYS0aa6yL
 xAmHpwC4aCbcTTin3u/SVvrTcApbHizn9lZcLMI6/YQ6fTKr4ZdqjUdgSoOFyx0lTcf9/ozK
 HBB/Lop4H/gAQnho8+TzXJwELLq7Yxb6cAQdJ8R7bocsmYc4U0LDjaZJck8te1cptzMqEdUe
 9t6g0zgtiGEn0IZvYESaEttbQgliZk0OCr7McqblsMWVRoXNRH/UtnK1Aly+6WRXynIFBTIj
 OIIEIHTznr6byAO8aue5Ag0EW5WvgQEQAKcaFMmXaO0F4AX2zOtIII957XJQf1p4osnQDJpN
 uXnAKVO0QMTWQTgNIf87wdZSC0W1NwzU0PUyBSTFGPdU7RfAAqe8rNarBwGxxyxhvo/BeLDw
 g5pWKuzoflCSMyFQgVXMKqtZYut7ZZHI49MRfmU800YPXoNzEatqdcbgNg0yuTrdw33xzE4B
 IhOfSFftIhOn7Lzgqn2kTIo+ApiHLNEA0Fa+uPe7mj3teMrdopqU8u/LhgPWjK/Ib0qqLNwf
 W40wfHd1GfjrD2YGS7XHwWWIb5pxxixq4YtSgOveuRKggT2/riCz/aPo4eHjHGi6ZvqC35a0
 nsCxjqxbFV/iZT8hsQTb/8ldQ2/Hs3IpS5Gw0rQzZjT76OAaTFfV9iJ/JK95eEMC+DsQ/vdW
 lf2E1/YIfbVGbd843EVR9b0XKHd1a1z6VvXEwlOi2kMinbSoiW3fwhrl835nnaDy/E6o5F4H
 j1sWQgRXNYb3APFrRdVyJNvLIgIvFN9eTek67cqHuBN2dPcqUlboy7PYE1EIoKpeztY4wTT3
 Kp8VtB/0C8Bry9qp4jIZ52nh49nLS5pM3HcjalsVPcyAfdnQTbe4hDPOwRp39IKMbywKUCf4
 isOcZ4QH88YAspmsdv/Umrn1q4sl3E17B7SCOS40yegUVmoKfbZW2mRPs/Qy81mpop5nABEB
 AAGJAh8EGAEIABMFAluVr4EJEHaIru+6mNzDAhsMAAAPDg/+NjAW06Tx6IvxK5LJEFxQp3Bc
 Wi8Ord8bfv8aBpqtOdN4zXIJd9TUZQURTDc7pvli4mG0f/i+96S0/Gr/yB1F6TZZWsDNydTo
 4q5vkf3MRgvWvN+0PM5q5NjjO1pvq14I28o9Rzu747Z3ZHR+c9tiQSUXm0SJfab0h7uQPmw4
 2iphif1gE+Ygj14kNNZLVqUP8ffJlRBMmDpkRVra9rkGZ0m8+rRkrD2PVc3Hrwx+tp2sP6rG
 EDDF/H8tZfx1V21muHI/nNv91h7xHn/75pxBDYtD1OYZE/XV/fioJ487APR//aRs2ZIi4R8z
 SErCVaQUHTFFZKbuk+4l734Uyrp+L0uQ3Am0gakn+FUUYnS3ceRZyh8A3sMheDhx6lo+8p3u
 3EX5sc5vLXF5dc+mqFwoPk5KMCVz2ct3YcOZaf/Lt+MqQuE647A0thggMqNVePm5H4sJqBK6
 1DsXUN+qQ1K8geXHOoJ+aRHE9kXYU9LoC4NT30Nul94KlzZ5m1QkUUxWT2zGr1xFDpl4lHn+
 yFmQSIT0a64i62pIDtoQ1a7HepF4gWpCCq3h3TsS5jWWreJxSq8V8UNwfPu7hgrLpWnmhIzZ
 Km/NOQsX82npW5UXvk7Z/bw4XJmCaq1Co0CYFDx8BpyFItJi4ijUVQKPHlz1+FDCi+YSxSw3
 bF0PW6KaYSE=
Message-ID: <13b902a1-2c17-4c1b-691a-f8fccf5a6e2d@gmail.com>
Date: Thu, 7 Mar 2019 20:55:43 +1100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.5.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Status: No, score=-0.2 required=5.0 tests=DKIM_SIGNED,DKIM_VALID,
	DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,RCVD_IN_DNSWL_NONE,
	RCVD_IN_MSPIKE_H3,RCVD_IN_MSPIKE_WL,SPF_PASS autolearn=disabled
	version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

Package: slim
Version: 1.3.6-5+devuan6

slim doesn't seem to update /var/run/utmp and /var/log/wtmp anymore?
...........
also previous versions of slim: I'm still getting the 'w' report:
------
 08:06:53 up 0 min,  0 users,  load average: 0.29, 0.08, 0.02
USER     TTY      FROM             LOGIN@   IDLE   JCPU   PCPU WHAT
------

Likewise, 'last' tells about reboot and tty1 login(s) but not my 'slim'
logins.

I getting the same with the
previous slim distributions as well; I returned to 1.3.6-5.1+devuan2
just to verify, and I've now also gone "back" to 1.3.6-5+devuan4, which
'apt-cache policy slim' claims is the jessie version; the 'w' report
stays the same (also after reboots).

So, apparently 'slim' since long ago believes something else is
responsible for registring the session(s), but that something else
doesn't agree. Maybe that's down to 'consolekit', then?
.........
[addition by wirelessduck via dng@lists.dyne.org]
I’m running consolekit with lightdm on a regular ascii.

I just installed slim alongside lightdm and set it as default. Rebooted
and logged in via slim.

I get nothing listed when running 'w' and 'who'. Checking output of
'last' shows the reboot time correctly but my slim login doesn’t appear
at all.

I switched back to lightdm and I see my user appearing in the output of
both 'w' and 'who'.  The 'last' output also shows my lightdm login from
tty7.

I should note that this login account comes from winbind, but I don’t
think that should be affecting this at all?

—Tom

..............
Further on this:

I've also got a dist-upgraded beowulf with a no-install-recommends
installation of task-xfce-desktop, and this one is fine wrt 'w'/'last'
report for slim using consolekt, and still fine when I downgraded
consolekit to the ascii version. The newest 'slim' is fine btw.

A little bit of digging tells me that my laptop has XDG_SESSION_COOKIE
set which my beowulf VM doesn't. That difference might be enough to
steer things differently for /etc/X11/Xsession.d/90consolekit, which (by
guesswork) has a significant decision point about the session startup.
Basically, X startup only runs /usr/bin/ck-launch-session if the
variable is unset (at that time).

Someone who knows stuff might kindly pull me right, but now I'm chasing
the reason why may latop gets XDG_SESSION_COOKIE set (while my beowulf
VM doesn't)...

Ralph.
---------------------------------------
Received: (at 301-done) by bugs.devuan.org; 20 Jun 2019 10:20:04 +0000
Return-Path: <mark@hindley.org.uk>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Thu, 20 Jun 2019 12:20:04 +0200 (CEST)
Received: from mx.hindley.org.uk (mohindley.plus.com [81.174.245.179])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 0771CF60B1E
	for <301-done@bugs.devuan.org>; Thu, 20 Jun 2019 12:15:08 +0200 (CEST)
Received: from apollo.hindleynet ([192.168.1.3] helo=apollo)
	by mx.hindley.org.uk with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
	(Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1hdu5y-0006e6-SI
	for 301-done@bugs.devuan.org; Thu, 20 Jun 2019 11:15:06 +0100
Received: from mark by apollo with local (Exim 4.84_2)
	(envelope-from <mark@hindley.org.uk>)
	id 1hdu5y-0000wU-5P
	for 301-done@bugs.devuan.org; Thu, 20 Jun 2019 11:15:06 +0100
Date: Thu, 20 Jun 2019 11:15:06 +0100
From: Mark Hindley <mark@hindley.org.uk>
To: 301-done@bugs.devuan.org
Subject: Fixed with slim-1.3.6-5.1+devuan3
Message-ID: <20190620101506.GF27755@hindley.org.uk>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Debbugs-No-Ack: No Thanks
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Status: No, score=0.0 required=5.0 tests=SPF_PASS,TVD_SPACE_RATIO
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

Fixed by calling usr/bin/sessreg.

See commit https://git.devuan.org/devuan-packages/slim/commit/d90325a6467859fe6204da89a1921e75b0b59666




Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed, 20 Nov 2019 15:35:34 UTC